#pragma once

#include <stdint.h>

#define BT_UUID_BAROMETER_SERVICE BT_UUID_DECLARE_16(0x0000)

#define BT_UUID_CHARGER_SERVICE BT_UUID_DECLARE_16(0x0000)

#define BT_UUID_CONFIG_SERVICE BT_UUID_DECLARE_16(0x0046)
#define BT_UUID_CONFIG_CONTROL_POINT BT_UUID_DECLARE_16(0x00045)

#define BT_UUID_ECG_SERVICE BT_UUID_DECLARE_16(0x1890)
#define BT_UUID_ECG_CHARC_DATA BT_UUID_DECLARE_16(0x1901)

#define BT_UUID_HEALTH_THERMOMETER_SEVICE BT_UUID_DECLARE_16(0x0000)
#define BT_UUID_HEALTH_THERMOMETER_SEVICE BT_UUID_DECLARE_16(0x0000)

#define BT_UUID_IMU_SERVICE BT_UUID_DECLARE_16(0x0000)
#define BT_UUID_IMU_CHARC_DATA BT_UUID_DECLARE_16(0x0000)

#define BT_UUID_PULSE_OXYMETER_SERVICE BT_UUID_DECLARE_16(0x1822)
#define BT_UUID_PULSE_OXYMETER_CHRC_CONTINUOUS BT_UUID_DECLARE_16(0x2A5F)

#define GATT_PERM_READ_MASK (BT_GATT_PERM_READ |         \
                             BT_GATT_PERM_READ_ENCRYPT | \
                             BT_GATT_PERM_READ_AUTHEN)

#define GATT_PERM_WRITE_MASK (BT_GATT_PERM_WRITE |         \
                              BT_GATT_PERM_WRITE_ENCRYPT | \
                              BT_GATT_PERM_WRITE_AUTHEN)

#ifndef CONFIG_BT_ECGS_DEFAULT_PERM_RW_AUTHEN
#define CONFIG_BT_ECGS_DEFAULT_PERM_RW_AUTHEN 0
#endif
#ifndef CONFIG_BT_ECGS_DEFAULT_PERM_RW_ENCRYPT
#define CONFIG_BT_ECGS_DEFAULT_PERM_RW_ENCRYPT 0
#endif
#ifndef CONFIG_BT_ECGS_DEFAULT_PERM_RW
#define CONFIG_BT_ECGS_DEFAULT_PERM_RW 0
#endif

#define ECGS_GATT_PERM_DEFAULT (\
    CONFIG_BT_ECGS_DEFAULT_PERM_RW_AUTHEN ? \
    (BT_GATT_PERM_READ_AUTHEN | BT_GATT_PERM_WRITE_AUTHEN) : \
      CONFIG_BT_ECGS_DEFAULT_PERM_RW_ENCRYPT ? \
      (BT_GATT_PERM_READ_ENCRYPT | BT_GATT_PERM_WRITE_ENCRYPT): (BT_GATT_PERM_READ | BT_GATT_PERM_WRITE))
